Set folder member permissions
PUT
/domains/{domainID}/folders/{folderID}/owners/{memberID}
const url = 'https://example.com/api/v1/domains/1/folders/1/owners/1';const options = { method: 'PUT', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"permissions":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/domains/1/folders/1/owners/1 \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "permissions": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”domainID
required
integer
ID of the domain
folderID
required
integer
ID of the folder
memberID
required
integer
Member ID of the owner list
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
permissions
required
Bit mask of permissions to set for the user (defaults to folder owner)
integer
Examplegenerated
{ "permissions": 1}Responses
Section titled “Responses”Update successful
Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}One of the required external services is unavailable
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}